classification
Title: Add test for ntpath.expanduser
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.5, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: Claudiu.Popa, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2014-05-13 10:12 by Claudiu.Popa, last changed 2014-05-28 15:39 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
expanduser.patch Claudiu.Popa, 2014-05-13 10:12 review
issue21493.patch Claudiu.Popa, 2014-05-25 20:01 review
Messages (5)
msg218427 - (view) Author: Claudiu Popa (Claudiu.Popa) * Date: 2014-05-13 10:12
Hello. This patch adds a test for ntpath.expanduser, which was missing. Also, it increases the test coverage for ntpath.py from 68% to 75%.
msg219102 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-05-25 19:37
LGTM. But most other tests in this file use tester() to test str and bytes. And it would be good to test multicomponent arguments (e.g. '~test\\foo\\bar' and '~/foo/bar').
msg219104 - (view) Author: Claudiu Popa (Claudiu.Popa) * Date: 2014-05-25 20:01
Here's an updated patch.
msg219275 - (view) Author: Roundup Robot (python-dev) Date: 2014-05-28 15:16
New changeset 5e599b301ebd by Serhiy Storchaka in branch '2.7':
Issue #21493: Added test for ntpath.expanduser().  Original patch by
http://hg.python.org/cpython/rev/5e599b301ebd

New changeset a981a088512c by Serhiy Storchaka in branch '3.4':
Issue #21493: Added test for ntpath.expanduser().  Original patch by
http://hg.python.org/cpython/rev/a981a088512c

New changeset 5a71a7e60fe6 by Serhiy Storchaka in branch 'default':
Issue #21493: Added test for ntpath.expanduser().  Original patch by
http://hg.python.org/cpython/rev/5a71a7e60fe6
msg219279 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-05-28 15:39
Thanks Claudiu.
History
Date User Action Args
2014-05-28 15:39:31serhiy.storchakasetstatus: open -> closed
versions: + Python 2.7, Python 3.4
messages: + msg219279

resolution: fixed
stage: resolved
2014-05-28 15:16:17python-devsetnosy: + python-dev
messages: + msg219275
2014-05-25 20:01:23Claudiu.Popasetfiles: + issue21493.patch

messages: + msg219104
2014-05-25 19:37:12serhiy.storchakasetassignee: serhiy.storchaka

messages: + msg219102
nosy: + serhiy.storchaka
2014-05-13 10:12:40Claudiu.Popacreate